<?php

namespace Myriad\EventDrivenService\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class PaginationRequest extends FormRequest {
  /**
   * Determine if the user is authorized to make this request.
   *
   * @return bool
   */
  public function authorize() {
    return true;
  }

  /**
   * Get the validation rules that apply to the request.
   *
   * @return array
   */
  public function rules() {
    return [
      'last_update' => 'numeric',
      'page' => 'numeric',
      'page_size' => 'numeric'
    ];
  }
}
