<?php

namespace Myriad\EventDrivenService\Traits;

use Illuminate\Validation\ValidationException;

trait Logger {

  protected function logValidationError($event, ValidationException $e) {
    $message = "";
    foreach ($e->errors() as $error) {
      foreach ($error as $errorMessage) {
        $message .= $errorMessage . " ";
      }
    }
    return $this->logError($event, $message);
  }

  protected function logError($attributes, $errorMessage) {
    return [
      'request' => $attributes,
      'error' => $errorMessage
    ];
  }
}